TRAKTOR AUDIO 2

orenaharis
orenaharis Member Posts: 1 Newcomer

I have the TRAKTOR AUDIO 2 (NOT MK2) that serves me very well in places I can use computer only, but still maintain a good set with minimum HW.

I upgraded to macOS 10.15 Catalina which I understand they claim it has issues with its installation. (Link below).

I can try upgrade to macOS 11 or 12, but my question is will it solve the issue or I should downgrade to an older version.

Unless anyone has a solution for the version I have (Catalina).

I'll mention that I use Traktor 3 DJ software that maybe isn't compatible with any past macOS version

thanks

Important Note: macOS 10.15 Catalina terminates the operability of these devices. For this reason, we recommend not to update to Catalina when using one of the respective hardware devices.

Answers

Back To Top